ColumnIndex (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.conf

## Class ColumnIndex

- java.lang.Object
- - org.apache.cassandra.index.sasi.conf.ColumnIndex

-     public class ColumnIndex
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnIndex(AbstractType<?> keyValidator, ColumnDefinition column, IndexMetadata metadata)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `discardMemtable(Memtable parent)`
    `void` | `dropData(java.util.Collection<SSTableReader> sstablesToRebuild)`
    `void` | `dropData(long truncateUntil)`
    `AbstractAnalyzer` | `getAnalyzer()`
    `java.lang.String` | `getColumnName()`
    `Component` | `getComponent()`
    `IndexMemtable` | `getCurrentMemtable()`
    `ColumnDefinition` | `getDefinition()`
    `java.lang.String` | `getIndexName()`
    `IndexMode` | `getMode()`
    `java.util.Collection<IndexMemtable>` | `getPendingMemtables()`
    `AbstractType<?>` | `getValidator()`
    `static java.nio.ByteBuffer` | `getValueOf(ColumnDefinition column, Row row, int nowInSecs)`
    `View` | `getView()`
    `boolean` | `hasSSTable(SSTableReader sstable)`
    `long` | `index(DecoratedKey key, Row row)`
    `java.lang.Iterable<SSTableReader>` | `init(java.util.Set<SSTableReader> sstables)` Initialize this column index with specific set of SSTables.
    `boolean` | `isIndexed()`
    `boolean` | `isLiteral()`
    `AbstractType<?>` | `keyValidator()`
    `RangeIterator<java.lang.Long,Token>` | `searchMemtable(Expression e)`
    `boolean` | `supports(Operator op)`
    `void` | `switchMemtable()`
    `void` | `switchMemtable(Memtable parent)`
    `void` | `update(java.util.Collection<SSTableReader> oldSSTables, java.util.Collection<SSTableReader> newSSTables)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnIndex

          public ColumnIndex(AbstractType<?> keyValidator,
                             ColumnDefinition column,
                             IndexMetadata metadata)

  - ### Method Detail

    - #### init

          public java.lang.Iterable<SSTableReader> init(java.util.Set<SSTableReader> sstables)

      Initialize this column index with specific set of SSTables.
      Parameters:
        `sstables` - The sstables to be used by index initially.
      Returns:
        A collection of sstables which don't have this specific index attached to them.

    - #### keyValidator

          public AbstractType<?> keyValidator()

    - #### index

          public long index(DecoratedKey key,
                            Row row)

    - #### switchMemtable

          public void switchMemtable()

    - #### switchMemtable

          public void switchMemtable(Memtable parent)

    - #### discardMemtable

          public void discardMemtable(Memtable parent)

    - #### getCurrentMemtable

          public IndexMemtable getCurrentMemtable()

    - #### getPendingMemtables

          public java.util.Collection<IndexMemtable> getPendingMemtables()

    - #### searchMemtable

          public RangeIterator<java.lang.Long,Token> searchMemtable(Expression e)

    - #### update

          public void update(java.util.Collection<SSTableReader> oldSSTables,
                             java.util.Collection<SSTableReader> newSSTables)

    - #### getDefinition

          public ColumnDefinition getDefinition()

    - #### getValidator

          public AbstractType<?> getValidator()

    - #### getComponent

          public Component getComponent()

    - #### getMode

          public IndexMode getMode()

    - #### getColumnName

          public java.lang.String getColumnName()

    - #### getIndexName

          public java.lang.String getIndexName()

    - #### getAnalyzer

          public AbstractAnalyzer getAnalyzer()

    - #### getView

          public View getView()

    - #### hasSSTable

          public boolean hasSSTable(SSTableReader sstable)

    - #### dropData

          public void dropData(java.util.Collection<SSTableReader> sstablesToRebuild)

    - #### dropData

          public void dropData(long truncateUntil)

    - #### isIndexed

          public boolean isIndexed()

    - #### isLiteral

          public boolean isLiteral()

    - #### supports

          public boolean supports(Operator op)

    - #### getValueOf

          public static java.nio.ByteBuffer getValueOf(ColumnDefinition column,
                                                       Row row,
                                                       int nowInSecs)

Copyright © 2018 The Apache Software Foundation